Skip to main content
PATCH
/
user-management
/
v1
/
watchlists
/
{id}
/
assets
Modify watchlist assets
curl --request PATCH \
  --url https://api.messari.io/user-management/v1/watchlists/{id}/assets \
  --header 'Content-Type: */*' \
  --header 'X-Messari-API-Key: <api-key>' \
  --data '
{
  "action": "add",
  "assetIds": [
    "<string>"
  ]
}
'
{
  "error": null,
  "data": {
    "id": "BA3FDA7B",
    "title": "DeFi Blue Chips",
    "assetIds": [
      "1e31218a-e44e-4285-820c-8282ee222035",
      "21c795f5-1bfd-40c3-858e-e9d7e820c6d0",
      "b3d5d66c-26a2-404c-9325-91dc714a722b"
    ],
    "createdAt": "2026-03-27T14:11:02.612968Z",
    "updatedAt": "2026-03-27T14:11:27.836661Z"
  }
}

Overview

Add or remove individual assets from a watchlist without replacing the entire asset list. This is useful for incrementally managing watchlist contents. The action field must be either add or remove, and assetIds specifies which asset UUIDs to add or remove.
To replace the entire asset list at once, use the Update Watchlist endpoint with the assetIds field instead.

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

id
string
required

Body

*/*
action
enum<string>
required
Available options:
add,
remove
assetIds
string[]
required

Response

Default response

data
object
required
error
string